Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

both texmaker and texniccenter have problems with the replacement of amslatex with amsmath,amscls,amslatex-primer (see picture).Error message in texmaker

My tex file looks as follows:

\documentclass[a4paper,12pt]{scrartcl}
\usepackage{selinput}
\SelectInputMappings{
adieresis={ä},
germandbls={ß}}
\usepackage[ngerman]{babel}
\usepackage{color}
\usepackage[a4paper,lmargin={3cm},rmargin={3cm},
tmargin={2.5cm},bmargin = {2.5cm}]{geometry}
\usepackage{amsmath}
\usepackage{amscls}
\usepackage{amslatex-primer}

\begin{document}

$x=2$\\
$\mathbb{R}$

\end{document}

The error I receive both from texmaker and texniccenter is:

! LaTeX Error: File `amscls.sty' not found.

I have installed the new packages (see picture) miktex package

I think I have configured texmaker correctly (see picture) texmaker configuration

I also updated MikTex and synchronized and everything. Thank you for your help! nbt

share|improve this question

2 Answers 2

amscls refers to a class not to a style or package. Note the blue highlighted line: AMS document classes for LaTeX.

Don't use it as a package within \usepackage{}. Use amsart on the class, if you wish, with \documentclass{amsart}.

share|improve this answer

The reason is that amscls and amslatex-primer are ‘packages’ in the sense of the MiKTeX distribution, but not ‘packages’ in the sense of tex: the latter is documentation to help compile with amslatex (obsolete nowadays, as far as I know) and the former defines class and style files (with .cls and .sty extensions). As you load the scrartcl class, you cannot load at the same time the corresponding ams class (amsart.cls).

If you really want to load one of the packages in the amscls package, check which .sty files belong to it via the MiKTeX Package Manager, rightclick on amscls in the list of MiKTeX packages, choose ‘properties’ then the ‘files’ tab.

share|improve this answer
    
i'm not a miktex user, and i'm not familiar with the presentation of the package manager, so i took a close look at the excerpt shown in the question. the line for amscls is clear enough (though it may not have the same meaning to a newbie), but there is an egregious error in the description for amsfonts. although the ultimate source for these fonts is metafont, and the .mf files are included in the package, the fonts for use are type 1, and have been for a number of years. i will try to contact the miktex "management" to get this fixed. –  barbara beeton Jan 11 at 13:20
    
Congratulations for your first 1000 points! –  egreg Jan 11 at 14:05
    
@barbarabeeton: MiKTeX's amsfonts does contain the type 1 fonts. The main error, in my opinion is the ‘category’, not the description itself. –  Bernard Jan 11 at 14:43
    
@Bernard -- you're right; it's the category that's mistaken. in fact, there are two parts to the amsfonts -- the fonts themselves, and the latex support. i'm not at all sure what's meant here. in any event, it would be a good idea for it to be fixed. –  barbara beeton Jan 11 at 16:05

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.